Reply
cancel
Showing results for 
Search instead for 
Did you mean: 
Reply

Re: Error Message: THERE WAS A PROBLEM LOADING UPWORK

Active Member
Satria F Member Since: Jun 22, 2015
71 of 212

I can fix this problem on my ubuntu 14.04 64 bit machine with these steps:

sudo dpkg --force-all -r libnss3
wget http://security.ubuntu.com/ubuntu/pool/main/n/nss/libnss3_3.19.2-1ubuntu1_amd64.deb
sudo dpkg -i libnss3_3.19.2-1ubuntu1_amd64.deb
sudo apt-mark hold libnss3 libnss3-nssdb

 

Now Upwork time tracker run well BUT I got dependencies error on my ubuntu 'Error:BrokenCount > 0. this usually means that your installed packages have unmet dependencies'. Ubuntu software center also showed an error message: "New software can't be installed,..". SO i can't install new software on my machine. If i try to repair it, it'd show an error mesage:

The following packages have unmet dependencies:
libnss3-nssdb: Depends: libnss3 (= 2:3.21-0ubuntu0.14.04.1) but 2:3.19.2-1ubuntu1 is installed

 

This should be fixed soon.

Active Member
Robert C Member Since: Aug 2, 2016
72 of 212

Yay! Thanks!

Active Member
Robert C Member Since: Aug 2, 2016
73 of 212

Note -
Stria's solution works on Ubuntu 16 as well.

Active Member
zsolt h Member Since: Feb 25, 2016
74 of 212

Now I use Ubuntu 12.04 64bit.

Recently I updated my Firefox from 26 to 44.

After that upgrading, Upwork Teamroom app doesn't work.

It always says "There was problem loading pwork. Please check your Internet connection and restart the app".

Anyone can help me?
Thanks.

Moderator
Valeria K Moderator Member Since: Mar 6, 2014
75 of 212

Hi Zsolt,

 

The issue you are experiencing is due to the latest upgrade of one of the Linux libraries – libnss. As a workaround, please dowload the previous version of the library as described here.
~ Valeria
Untitled
Active Member
Diki A Member Since: Feb 27, 2016
76 of 212

Hi all and thanks to Fernando.

 

I am using Ubuntu 14.04 LTS

First check your libnss version. This important for check previous version and latest  previous security.

 

apt-cache policy name-package

List of package :

  • libnss3
  • libnss3-nssdb
  • libnss3-1d
  • libnss3-tools

This is my command. Every different version OS, will different version package.

 

sudo apt-get install libnss3=2:3.15.4-1ubuntu7 libnss3-nssdb=2:3.15.4-1ubuntu7 libnss3-1d=2:3.15.4-1ubuntu7 libnss3-tools=2:3.15.4-1ubuntu7

Use old version.

 

Hopely useful for you.

 

---

Update

Note : downgrading to previous version, make my browser and critical problem in https now.
please upwork developer fix this.

Active Member
Joseph J Member Since: Sep 26, 2012
77 of 212

The requested URL /ubuntu/pool/main/n/nss/libnss3_3.19.2.1-0ubuntu0.15.10.2_amd64.deb was not found on this server.

 

Since the mentioned link wget http://security.ubuntu.com/ubuntu/pool/main/n/nss/libnss3_3.19.2.1-0ubuntu0.15.10.2_amd64.deb is dead,it is a kind of Pain in the butt process for an "Average Joe" linux user. So, just like Upwork says, “you need to downgrade this library to it's previous version 3.19. Be careful when you are messing with “libnss3”as it is used for other services as well. You may end up with a messed up  system. 

 

So, if you are not familiar with all these “terminal commands” the easiest way to fix the issue is doing a fresh installation of your linux mint/ubuntu etc.. system using a live CD or USB flash. 

 

Bydefault, the “libnss3”library version in the ISO file is 2:3.19.2.1 which is fine for time tracker. Once you installed the OS, DO NOT update your system. 

Go to “synaptic package manager”in your system and search for “libnss3”to make sure that the version is  19. Not the updated version of 2:3.21.

 

Now, this is the most important part.

Open your terminal and copy/paste the below command.

 

sudo apt-mark hold libnss3 libnss3-nssdb

 

Hit enter and type your password. And that is it!

 

By doing so, the update manager will skip the updates for libnss3 and it will not be updated to the latest version which was causing all these issue.

 

Now, you can update your system, install upwork Deb package,and the tracker will run like a champion.

Wishing you the best and keep tracking your hours. Smiley Happy

Active Member
Dmitriy K Member Since: Feb 10, 2016
78 of 212

Please look at updated post, there are fixed broken link.


Active Member
Noman R Member Since: Feb 28, 2016
79 of 212

My Upwork tracker was absolutely working fine since a long time and suddenly I had the same problem. I contacted support and they said they are investigating the issue. Meanwhile my work was paused and I also had fear of delivering work at given deadline so I started bashing support but the support guy was also helpless as he can't do anything except asking me for patience. They even sent my client message about this issue. But after 5,6 hours I realized I changed proxy settings in Internet Explorer and my VPN was also switched off thats why tracker wasn't working. LOL

 

I think most people have same problem but they don't know where is it coming from. I request Upwork Developers to add this message "Please check Internet Explorer Proxy Settings" when tracker can't reach internet

Active Member
Alexey P Member Since: Jan 9, 2016
80 of 212

Any info about when timetracker update will be fixed?

TOP KUDOED MEMBERS